    001/* ===========================================================
    002 * Orson Charts : a 3D chart library for the Java(tm) platform
    003 * ===========================================================
    004 *
    005 * (C)opyright 2013-2022, by David Gilbert.  All rights reserved.
    006 *
    007 * https://github.com/jfree/orson-charts
    008 *
    009 * This program is free software: you can redistribute it and/or modify
    010 * it under the terms of the GNU General Public License as published by
    011 * the Free Software Foundation, either version 3 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This program is distributed in the hope that it will be useful,
    015 * but WITHOUT ANY WARRANTY; without even the implied warranty of
    016 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    017 * GNU General Public License for more details.
    018 *
    019 * You should have received a copy of the GNU General Public License
    020 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
    021 *
    022 * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    023 * Other names may be trademarks of their respective owners.]
    024 *
    025 * If you do not wish to be bound by the terms of the GPL, an alternative
    026 * commercial license can be purchased.  For details, please see visit the
    027 * Orson Charts home page:
    028 *
    029 * http://www.object-refinery.com/orsoncharts/index.html
    030 *
    031 */
    032
    033package org.jfree.chart3d.graphics3d;
    034
    035import java.awt.Color;
    036
    037/**
    038 * A line between two points in 3D space.
    039 *
    040 * @since 1.5
    041 */
    042public class LineObject3D extends Object3D {
    043
    044    /**
    045     * Creates a new {@code Line3D} instance.
    046     *
    047     * @param x0  the x-coordinate for the start of the line.
    048     * @param y0  the y-coordinate for the start of the line.
    049     * @param z0  the z-coordinate for the start of the line.
    050     * @param x1  the x-coordinate for the end of the line.
    051     * @param y1  the y-coordinate for the end of the line.
    052     * @param z1  the z-coordinate for the end of the line.
    053     * @param color  the color ({@code null} not permitted).
    054     */
    055    public LineObject3D(float x0, float y0, float z0, float x1, float y1, float z1,
    056            Color color) {
    057        super(color);
    058        addVertex(x0, y0, z0);
    059        addVertex(x1, y1, z1);
    060        addFace(new Face(this, new int[] {0, 1}));
    061    }
    062
    063}